/*
 * This file is generated by jOOQ.
 */
package be.lghs.accounting.model;


import be.lghs.accounting.model.tables.Accounts;
import be.lghs.accounting.model.tables.Codas;
import be.lghs.accounting.model.tables.FlywaySchemaHistory;
import be.lghs.accounting.model.tables.MovementCategories;
import be.lghs.accounting.model.tables.MovementTags;
import be.lghs.accounting.model.tables.Movements;
import be.lghs.accounting.model.tables.Subscriptions;
import be.lghs.accounting.model.tables.UserAccountNumbers;
import be.lghs.accounting.model.tables.Users;

import java.util.Arrays;
import java.util.List;

import javax.annotation.processing.Generated;

import org.jooq.Catalog;
import org.jooq.Table;
import org.jooq.impl.SchemaImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.14.9",
        "schema version:accounting_0010"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Accounting extends SchemaImpl {

    private static final long serialVersionUID = 1L;

    /**
     * The reference instance of <code>accounting</code>
     */
    public static final Accounting ACCOUNTING = new Accounting();

    /**
     * The table <code>accounting.accounts</code>.
     */
    public final Accounts ACCOUNTS = Accounts.ACCOUNTS;

    /**
     * The table <code>accounting.codas</code>.
     */
    public final Codas CODAS = Codas.CODAS;

    /**
     * The table <code>accounting.flyway_schema_history</code>.
     */
    public final FlywaySchemaHistory FLYWAY_SCHEMA_HISTORY = FlywaySchemaHistory.FLYWAY_SCHEMA_HISTORY;

    /**
     * The table <code>accounting.movement_categories</code>.
     */
    public final MovementCategories MOVEMENT_CATEGORIES = MovementCategories.MOVEMENT_CATEGORIES;

    /**
     * The table <code>accounting.movement_tags</code>.
     */
    public final MovementTags MOVEMENT_TAGS = MovementTags.MOVEMENT_TAGS;

    /**
     * The table <code>accounting.movements</code>.
     */
    public final Movements MOVEMENTS = Movements.MOVEMENTS;

    /**
     * The table <code>accounting.subscriptions</code>.
     */
    public final Subscriptions SUBSCRIPTIONS = Subscriptions.SUBSCRIPTIONS;

    /**
     * The table <code>accounting.user_account_numbers</code>.
     */
    public final UserAccountNumbers USER_ACCOUNT_NUMBERS = UserAccountNumbers.USER_ACCOUNT_NUMBERS;

    /**
     * The table <code>accounting.users</code>.
     */
    public final Users USERS = Users.USERS;

    /**
     * No further instances allowed
     */
    private Accounting() {
        super("accounting", null);
    }


    @Override
    public Catalog getCatalog() {
        return DefaultCatalog.DEFAULT_CATALOG;
    }

    @Override
    public final List<Table<?>> getTables() {
        return Arrays.<Table<?>>asList(
            Accounts.ACCOUNTS,
            Codas.CODAS,
            FlywaySchemaHistory.FLYWAY_SCHEMA_HISTORY,
            MovementCategories.MOVEMENT_CATEGORIES,
            MovementTags.MOVEMENT_TAGS,
            Movements.MOVEMENTS,
            Subscriptions.SUBSCRIPTIONS,
            UserAccountNumbers.USER_ACCOUNT_NUMBERS,
            Users.USERS);
    }
}
